/* ***** BEGIN LICENSE BLOCK *****
 * Licensed under Version: MPL 1.1/GPL 2.0/LGPL 2.1
 * Full Terms at http://mozile.mozdev.org/license.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Playsophy code.
 *
 * The Initial Developer of the Original Code is Playsophy
 * Portions created by the Initial Developer are Copyright (C) 2002-2003
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *		James A. Overton <james@overton.ca>
 *      Andreas Schamberger <mozile@andreass.net>
 *		Paul Everitt
 *
 * ***** END LICENSE BLOCK ***** */

var optionsPrefs="";
var mozileWindow;

function init() 
{
	netscape.security.PrivilegeManager.enablePrivilege('UniversalXPConnect');
	optionsPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

	var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"].getService(Components.interfaces.nsIWindowMediator);
	mozileWindow = wm.getMostRecentWindow("navigator:browser");

	mozileGetAutohide();
	mozileGetCaret();
	mozileGetPrompt();
	mozileGetAccelerator();
	mozileGetOn();
	mozileGetDebugLevel();
}

function mozileGetAutohide() {
	var autohideCheckbox = document.getElementById("mozileAutohideCheckbox");
	autohideCheckbox.checked=optionsPrefs.getBoolPref("mozile.autohideBool");
}

function mozileSetAutohide(node) {
	netscape.security.PrivilegeManager.enablePrivilege('UniversalXPConnect');
	if( optionsPrefs.getBoolPref("mozile.autohideBool") ) {
		mozileWindow.mozileTools.show();
		optionsPrefs.setBoolPref("mozile.autohideBool",false);
	}else{
		//User will have to exit, then click on something to hide toolbar...
		//because testing if toolbar should be shown is rather complicated.
		optionsPrefs.setBoolPref("mozile.autohideBool",true);
	}
}

function mozileGetCaret(node) {
	var caretCheckbox = document.getElementById("mozileCaretCheckbox");
	caretCheckbox.checked=optionsPrefs.getBoolPref("mozile.caretAlwaysOnBool");
}

function mozileSetCaret(node) {
	netscape.security.PrivilegeManager.enablePrivilege('UniversalXPConnect');
	optionsPrefs.setBoolPref("mozile.caretAlwaysOnBool",!optionsPrefs.getBoolPref("mozile.caretAlwaysOnBool"));
}

function mozileGetPrompt(node) {
	var promptCheckbox = document.getElementById("mozilePromptCheckbox");
	promptCheckbox.checked=optionsPrefs.getBoolPref("mozile.promptOnUnloadBool");
}

function mozileSetPrompt(node) {
	netscape.security.PrivilegeManager.enablePrivilege('UniversalXPConnect');
	optionsPrefs.setBoolPref("mozile.promptOnUnloadBool",!optionsPrefs.getBoolPref("mozile.promptOnUnloadBool"));
}

function mozileGetAccelerator(node) {
	var acceleratorCheckbox = document.getElementById("mozileAcceleratorCheckbox");
	acceleratorCheckbox.checked=optionsPrefs.getBoolPref("mozile.acceleratorBool");
}

function mozileSetAccelerator(node) {
	netscape.security.PrivilegeManager.enablePrivilege('UniversalXPConnect');
	optionsPrefs.setBoolPref("mozile.acceleratorBool",!optionsPrefs.getBoolPref("mozile.acceleratorBool"));
}

function mozileGetOn(node) {
	var onCheckbox = document.getElementById("mozileOnCheckbox");
	onCheckbox.checked=optionsPrefs.getBoolPref("mozile.onBool");
}

function mozileSetOn(node) {
	mozileWindow.mozileToggleOnOff();
}

function mozileGetDebugLevel() {
	var debugLevelMenulist = document.getElementById("mozileDebugLevelMenulist");
	debugLevelMenulist.selectedIndex=optionsPrefs.getIntPref("mozile.debugLevelInt");
}

function mozileSetDebugLevel(node) {
	netscape.security.PrivilegeManager.enablePrivilege('UniversalXPConnect');
	switch(node.selectedIndex) {
		case 0:
			optionsPrefs.setIntPref("mozile.debugLevelInt",0);
			break;
		case 1:
			optionsPrefs.setIntPref("mozile.debugLevelInt",1);
			break;
		case 2:
			optionsPrefs.setIntPref("mozile.debugLevelInt",2);
			break;
		default:
			alert("Error: "+node.selectedIndex);
	}
}
